WeblogicManagementServiceClient¶
- class oci.wlms.WeblogicManagementServiceClient(config, **kwargs)¶
WebLogic Management Service is an OCI service that enables a unified view and management of WebLogic domains in Oracle Cloud Infrastructure. Features include on-demand patching of WebLogic domains, rollback of the last applied patch, discovery and management of WebLogic instances on a compute host.
Methods:
__init__(config, **kwargs)Creates a new service client
change_wls_domain_compartment(wls_domain_id, ...)Moves a WebLogic domain into a different compartment within the same tenancy.
Creates a terms of use agreement record for a WebLogic domain.
delete_wls_domain(wls_domain_id, **kwargs)Delete the WebLogic domain.
get_agreement(**kwargs)Returns the terms and conditions of use agreement.
get_managed_instance(managed_instance_id, ...)Gets information about the specified managed instance.
Gets information about the specified server in a managed instance.
get_wls_domain(wls_domain_id, **kwargs)Gets a specific WebLogic domain.
get_wls_domain_credential(wls_domain_id, ...)Gets WebLogic and Node Manager credentials of a specific WebLogic domain.
get_wls_domain_server(wls_domain_id, ...)Gets information about the specified server in a WebLogic domain.
get_wls_domain_server_backup(wls_domain_id, ...)Get details of specific backup for the WebLogic Domain.
Get details of specific backup for the WebLogic Domain.
get_work_request(work_request_id, **kwargs)Gets the details of a work request.
Install the latest patches on a WebLogic domain.
list_agreement_records(wls_domain_id, **kwargs)List the terms of use agreement record for the WebLogic domain.
list_applicable_patches(wls_domain_id, **kwargs)Gets the latest patches that can be installed to the WebLogic domains.
Gets all the scan results for all WebLogic servers in the managed instance.
Gets a list of installed patches on a server in a managed instance.
Gets list of servers in a specific managed instance.
list_managed_instances(**kwargs)Lists managed instances that match the specified compartment or managed instance OCID.
list_required_policies(**kwargs)Gets all the required policies for the WebLogic Management Service.
list_wls_domain_credentials(wls_domain_id, ...)Gets domain credentials of a specific domain.
list_wls_domain_scan_results(wls_domain_id, ...)Get all scan results for a server in a specific WebLogic domain.
Gets a list of backups for the server of a specific WebLogic Domain.
Gets a list of installed patches on a server for a domain.
list_wls_domain_servers(wls_domain_id, **kwargs)Gets list of servers in a specific WebLogic domain.
list_wls_domains(**kwargs)Gets all WebLogic domains in a given compartment.
Gets a list of WebLogic domains that share middleware with a specific domain.
list_work_request_errors(work_request_id, ...)Lists the errors for a work request.
list_work_request_logs(work_request_id, **kwargs)Lists the logs for a work request.
list_work_requests(**kwargs)Lists the work requests in a compartment.
restart_wls_domain(wls_domain_id, ...)Restarts all the servers in the WebLogic domains.
restore_wls_domain(wls_domain_id, ...)Restore a domain from backup.
scan_managed_instance(managed_instance_id, ...)Scans a managed instance for WebLogic domains.
scan_wls_domain(wls_domain_id, **kwargs)Runs a series of checks in the WebLogic domain.
set_restart_order(wls_domain_id, ...)Sets restart order of servers in specific WebLogic domain.
start_wls_domain(wls_domain_id, **kwargs)Starts all the servers in the WebLogic domain.
stop_wls_domain(wls_domain_id, ...)Stops all the servers in the WebLogic domain.
summarize_resource_inventory(compartment_id, ...)Gets the data to be shown in the Overview page of the service in a given compartment.
update_managed_instance(managed_instance_id, ...)Updates the specified managed instance information, such as discovery interval and domain search path.
update_wls_domain(wls_domain_id, ...)Updates a specific WebLogic domain.
update_wls_domain_credential(wls_domain_id, ...)Updates WebLogic domain credentials of specific WebLogic domain.
- __init__(config, **kwargs)¶
Creates a new service client
- Parameters
config (dict) – Configuration keys and values as per SDK and Tool Configuration. The
from_file()method can be used to load configuration from a file. Alternatively, adictcan be passed. You can validate_config the dict usingvalidate_config()service_endpoint (str) – (optional) The endpoint of the service to call using this client. For example
https://iaas.us-ashburn-1.oraclecloud.com. If this keyword argument is not provided then it will be derived using the region in the config parameter. You should only provide this keyword argument if you have an explicit need to specify a service endpoint.timeout (float or tuple(float, float)) – (optional) The connection and read timeouts for the client. The default values are connection timeout 10 seconds and read timeout 60 seconds. This keyword argument can be provided as a single float, in which case the value provided is used for both the read and connection timeouts, or as a tuple of two floats. If a tuple is provided then the first value is used as the connection timeout and the second value as the read timeout.
signer (
AbstractBaseSigner) –(optional) The signer to use when signing requests made by the service client. The default is to use a
Signerbased on the values provided in the config parameter.One use case for this parameter is for Instance Principals authentication by passing an instance of
InstancePrincipalsSecurityTokenSigneras the value for this keyword argumentretry_strategy (obj) –
(optional) A retry strategy to apply to all calls made by this service client (i.e. at the client level). There is no retry strategy applied by default. Retry strategies can also be applied at the operation level by passing a
retry_strategykeyword argument as part of calling the operation. Any value provided at the operation level will override whatever is specified at the client level.This should be one of the strategies available in the
retrymodule. A convenienceDEFAULT_RETRY_STRATEGYis also available. The specifics of the default retry strategy are described here.circuit_breaker_strategy (obj) – (optional) A circuit breaker strategy to apply to all calls made by this service client (i.e. at the client level). This client uses
DEFAULT_CIRCUIT_BREAKER_STRATEGYas default if no circuit breaker strategy is provided. The specifics of circuit breaker strategy are described here.circuit_breaker_callback (function) – (optional) Callback function to receive any exceptions triggerred by the circuit breaker.
client_level_realm_specific_endpoint_template_enabled (bool) – (optional) A boolean flag to indicate whether or not this client should be created with realm specific endpoint template enabled or disable. By default, this will be set as None.
allow_control_chars – (optional) allow_control_chars is a boolean to indicate whether or not this client should allow control characters in the response object. By default, the client will not allow control characters to be in the response object.
enable_strict_url_encoding – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this client should enable strict url encoding in path params of a request. By default, the client will not enable strict url encoding
- change_wls_domain_compartment(wls_domain_id, change_wls_domain_compartment_details, **kwargs)¶
Moves a WebLogic domain into a different compartment within the same tenancy.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
change_wls_domain_compartment_details (oci.wlms.models.ChangeWlsDomainCompartmentDetails) – (required) Compartment identifier
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the ETag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the ETag you provide matches the resource’s current ETag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_wls_domain_compartment API.
- create_agreement_record(create_agreement_record_details, wls_domain_id, **kwargs)¶
Creates a terms of use agreement record for a WebLogic domain.
- Parameters
create_agreement_record_details (oci.wlms.models.CreateAgreementRecordDetails) – (required) This object represents the fields to create a terms of use agreement record.
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the ETag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the ETag you provide matches the resource’s current ETag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAgreementRecord- Return type
- Example
Click here to see an example of how to use create_agreement_record API.
- delete_wls_domain(wls_domain_id, **kwargs)¶
Delete the WebLogic domain.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the ETag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the ETag you provide matches the resource’s current ETag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_wls_domain API.
- get_agreement(**kwargs)¶
Returns the terms and conditions of use agreement.
- Parameters
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use get_agreement API.
- get_managed_instance(managed_instance_id, **kwargs)¶
Gets information about the specified managed instance.
- Parameters
managed_instance_id (str) –
(required) The OCID of the instance.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeManagedInstance- Return type
- Example
Click here to see an example of how to use get_managed_instance API.
- get_managed_instance_server(managed_instance_id, server_id, **kwargs)¶
Gets information about the specified server in a managed instance.
- Parameters
managed_instance_id (str) –
(required) The OCID of the instance.
server_id (str) –
(required) The unique identifier of a server.
Note: Not an OCID.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use get_managed_instance_server API.
- get_wls_domain(wls_domain_id, **kwargs)¶
Gets a specific WebLogic domain.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use get_wls_domain API.
- get_wls_domain_credential(wls_domain_id, credential_type, **kwargs)¶
Gets WebLogic and Node Manager credentials of a specific WebLogic domain.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
credential_type (str) –
(required) The type of the credentials.
Allowed values are: “weblogicAdminUser”, “nodemanagerUser”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWlsDomainCredential- Return type
- Example
Click here to see an example of how to use get_wls_domain_credential API.
- get_wls_domain_server(wls_domain_id, server_id, **kwargs)¶
Gets information about the specified server in a WebLogic domain.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
server_id (str) –
(required) The unique identifier of a server.
Note: Not an OCID.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use get_wls_domain_server API.
- get_wls_domain_server_backup(wls_domain_id, server_id, backup_id, **kwargs)¶
Get details of specific backup for the WebLogic Domain.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
server_id (str) –
(required) The unique identifier of a server.
Note: Not an OCID.
backup_id (str) –
(required) The unique identifier of the backup.
Note: Not an OCID.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use get_wls_domain_server_backup API.
- get_wls_domain_server_backup_content(wls_domain_id, server_id, backup_id, **kwargs)¶
Get details of specific backup for the WebLogic Domain.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
server_id (str) –
(required) The unique identifier of a server.
Note: Not an OCID.
backup_id (str) –
(required) The unique identifier of the backup.
Note: Not an OCID.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeBackupContent- Return type
- Example
Click here to see an example of how to use get_wls_domain_server_backup_content API.
- get_work_request(work_request_id, **kwargs)¶
Gets the details of a work request.
- Parameters
work_request_id (str) –
(required) The OCID of the asynchronous work request.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWorkRequest- Return type
- Example
Click here to see an example of how to use get_work_request API.
- install_latest_patches_on_wls_domain(wls_domain_id, install_latest_patches_on_wls_domain_details, **kwargs)¶
Install the latest patches on a WebLogic domain.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
install_latest_patches_on_wls_domain_details (oci.wlms.models.InstallLatestPatchesOnWlsDomainDetails) – (required) Information for the operation to install latest patches to a WebLogic domain.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the ETag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the ETag you provide matches the resource’s current ETag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use install_latest_patches_on_wls_domain API.
- list_agreement_records(wls_domain_id, **kwargs)¶
List the terms of use agreement record for the WebLogic domain.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
opc_request_id (str) – (optional) The client request ID for tracing.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token that represents the page at which to start retrieving results. The token is usually retrieved from a previous List call.
sort_order (str) –
(optional) The sort order is either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field by which to sort the resource. Only one sort order may be provided. Default order for _timeCreated_ is descending. Default order for _displayName_ is ascending. If no value is specified, _timeCreated_ is default.
Allowed values are: “timeCreated”, “displayName”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAgreementRecordCollection- Return type
- Example
Click here to see an example of how to use list_agreement_records API.
- list_applicable_patches(wls_domain_id, **kwargs)¶
Gets the latest patches that can be installed to the WebLogic domains.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token that represents the page at which to start retrieving results. The token is usually retrieved from a previous List call.
sort_order (str) –
(optional) The sort order is either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field by which to sort the resource. Only one sort order may be provided. Default order for _displayName_ is ascending. If no value is specified, _displayName_ is default.
Allowed values are: “displayName”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeApplicablePatchCollection- Return type
- Example
Click here to see an example of how to use list_applicable_patches API.
- list_managed_instance_scan_results(managed_instance_id, **kwargs)¶
Gets all the scan results for all WebLogic servers in the managed instance.
- Parameters
managed_instance_id (str) –
(required) The OCID of the instance.
opc_request_id (str) – (optional) The client request ID for tracing.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token that represents the page at which to start retrieving results. The token is usually retrieved from a previous List call.
sort_order (str) –
(optional) The sort order is either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field by which to sort the resource. Only one sort order may be provided. Default order for _timeOfServerCheck_ is descending. Default order for _serverName_ is ascending. If no value is specified, _timeOfServerCheck_ is default.
Allowed values are: “timeOfServerCheck”, “serverName”
wls_domain_id (str) –
(optional) The OCID of the WebLogic domain.
server_name (str) – (optional) The name of the server.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeScanResultCollection- Return type
- Example
Click here to see an example of how to use list_managed_instance_scan_results API.
- list_managed_instance_server_installed_patches(managed_instance_id, server_id, **kwargs)¶
Gets a list of installed patches on a server in a managed instance.
- Parameters
managed_instance_id (str) –
(required) The OCID of the instance.
server_id (str) –
(required) The unique identifier of a server.
Note: Not an OCID.
opc_request_id (str) – (optional) The client request ID for tracing.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token that represents the page at which to start retrieving results. The token is usually retrieved from a previous List call.
sort_order (str) –
(optional) The sort order is either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field by which to sort the resource. Only one sort order may be provided. Default order for _displayName_ is ascending. If no value is specified, _displayName_ is default.
Allowed values are: “displayName”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeInstalledPatchCollection- Return type
- Example
Click here to see an example of how to use list_managed_instance_server_installed_patches API.
- list_managed_instance_servers(managed_instance_id, **kwargs)¶
Gets list of servers in a specific managed instance.
- Parameters
managed_instance_id (str) –
(required) The OCID of the instance.
name (str) – (optional) The name of the resource.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token that represents the page at which to start retrieving results. The token is usually retrieved from a previous List call.
sort_order (str) –
(optional) The sort order is either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field by which to sort the resource. Only one sort order may be provided. Default order for _timeCreated_ is descending. Default order for _name_ is ascending. If no value is specified, _timeCreated_ is default.
Allowed values are: “timeCreated”, “name”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeServerCollection- Return type
- Example
Click here to see an example of how to use list_managed_instance_servers API.
- list_managed_instances(**kwargs)¶
Lists managed instances that match the specified compartment or managed instance OCID. Filter the list against a variety of criteria including but not limited to its name, status and compartment.
- Parameters
compartment_id (str) – (optional) The OCID of the compartment that contains the resources to list. This filter returns only resources contained within the specified compartment.
display_name (str) – (optional) The display name.
id (str) –
(optional) The OCID of the instance.
plugin_status (str) –
(optional) The plugin status of the managed instance.
Allowed values are: “ACTIVE”, “INACTIVE”
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token that represents the page at which to start retrieving results. The token is usually retrieved from a previous List call.
sort_order (str) –
(optional) The sort order is either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field by which to sort the resource. Only one sort order may be provided. Default order for _timeCreated_ is descending. Default order for _displayName_ is ascending. If no value is specified, _timeCreated_ is default.
Allowed values are: “timeCreated”, “displayName”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeManagedInstanceCollection- Return type
- Example
Click here to see an example of how to use list_managed_instances API.
- list_required_policies(**kwargs)¶
Gets all the required policies for the WebLogic Management Service.
- Parameters
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeRequiredPolicyCollection- Return type
- Example
Click here to see an example of how to use list_required_policies API.
- list_wls_domain_credentials(wls_domain_id, **kwargs)¶
Gets domain credentials of a specific domain.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWlsDomainCredentialCollection- Return type
- Example
Click here to see an example of how to use list_wls_domain_credentials API.
- list_wls_domain_scan_results(wls_domain_id, **kwargs)¶
Get all scan results for a server in a specific WebLogic domain.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
server_name (str) – (optional) The name of the server.
opc_request_id (str) – (optional) The client request ID for tracing.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token that represents the page at which to start retrieving results. The token is usually retrieved from a previous List call.
sort_order (str) –
(optional) The sort order is either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field by which to sort the resource. Only one sort order may be provided. Default order for _timeOfServerCheck_ is descending. Default order for _serverName_ is ascending. If no value is specified, _timeOfServerCheck_ is default.
Allowed values are: “timeOfServerCheck”, “serverName”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeScanResultCollection- Return type
- Example
Click here to see an example of how to use list_wls_domain_scan_results API.
- list_wls_domain_server_backups(wls_domain_id, server_id, **kwargs)¶
Gets a list of backups for the server of a specific WebLogic Domain.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
server_id (str) –
(required) The unique identifier of a server.
Note: Not an OCID.
opc_request_id (str) – (optional) The client request ID for tracing.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token that represents the page at which to start retrieving results. The token is usually retrieved from a previous List call.
sort_order (str) –
(optional) The sort order is either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field by which to sort the resource. Only one sort order may be provided. Default order for timeCreated is descending. If no value is specified, timeCreated is default.
Allowed values are: “timeCreated”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeBackupCollection- Return type
- Example
Click here to see an example of how to use list_wls_domain_server_backups API.
- list_wls_domain_server_installed_patches(wls_domain_id, server_id, **kwargs)¶
Gets a list of installed patches on a server for a domain.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
server_id (str) –
(required) The unique identifier of a server.
Note: Not an OCID.
opc_request_id (str) – (optional) The client request ID for tracing.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token that represents the page at which to start retrieving results. The token is usually retrieved from a previous List call.
sort_order (str) –
(optional) The sort order is either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field by which to sort the resource. Only one sort order may be provided. Default order for _displayName_ is ascending. If no value is specified, _displayName_ is default.
Allowed values are: “displayName”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeInstalledPatchCollection- Return type
- Example
Click here to see an example of how to use list_wls_domain_server_installed_patches API.
- list_wls_domain_servers(wls_domain_id, **kwargs)¶
Gets list of servers in a specific WebLogic domain.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
name (str) – (optional) The name of the resource.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token that represents the page at which to start retrieving results. The token is usually retrieved from a previous List call.
sort_order (str) –
(optional) The sort order is either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field by which to sort the resource. Only one sort order may be provided. Default order for _timeCreated_ is descending. Default order for _name_ is ascending. If no value is specified, _timeCreated_ is default.
Allowed values are: “timeCreated”, “name”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeServerCollection- Return type
- Example
Click here to see an example of how to use list_wls_domain_servers API.
- list_wls_domains(**kwargs)¶
Gets all WebLogic domains in a given compartment.
- Parameters
compartment_id (str) – (optional) The OCID of the compartment that contains the resources to list. This filter returns only resources contained within the specified compartment.
lifecycle_state (str) –
(optional) A filter to return only resources that match the given lifecycle state. The state value is case-insensitive.
Allowed values are: “ACTIVE”, “CREATING”, “DELETED”, “DELETING”, “FAILED”, “NEEDS_ATTENTION”, “UPDATING”
display_name (str) – (optional) The display name.
id (str) –
(optional) The OCID of the WebLogic domain.
weblogic_version (str) –
(optional) A filter to return WebLogic domains based on the WebLogic version.
Allowed values are: “v12.2.1.4”, “v14.1.1.0”, “v14.1.2.0”
middleware_type (str) –
(optional) A filter to return WebLogic domains based on the type of middleware of the WebLogic domain.
Allowed values are: “FMW”, “WLS”
patch_readiness_status (str) –
(optional) A filter to return domains based on the patch readiness status.
Allowed values are: “OK”, “WARNING”, “ERROR”, “UNKNOWN”
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token that represents the page at which to start retrieving results. The token is usually retrieved from a previous List call.
sort_order (str) –
(optional) The sort order is either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field by which to sort the resource. Only one sort order may be provided. Default order for _timeCreated_ is descending. Default order for _displayName_ is ascending. If no value is specified, _timeCreated_ is default.
Allowed values are: “timeCreated”, “displayName”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWlsDomainCollection- Return type
- Example
Click here to see an example of how to use list_wls_domains API.
- list_wls_domains_sharing_middlewares(wls_domain_id, **kwargs)¶
Gets a list of WebLogic domains that share middleware with a specific domain.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
opc_request_id (str) – (optional) The client request ID for tracing.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token that represents the page at which to start retrieving results. The token is usually retrieved from a previous List call.
sort_order (str) –
(optional) The sort order is either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field by which to sort the resource. Only one sort order may be provided. Default order for _timeCreated_ is descending. Default order for _displayName_ is ascending. If no value is specified, _timeCreated_ is default.
Allowed values are: “timeCreated”, “displayName”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWlsDomainCollection- Return type
- Example
Click here to see an example of how to use list_wls_domains_sharing_middlewares API.
- list_work_request_errors(work_request_id, **kwargs)¶
Lists the errors for a work request.
- Parameters
work_request_id (str) –
(required) The OCID of the asynchronous work request.
opc_request_id (str) – (optional) The client request ID for tracing.
page (str) – (optional) The page token that represents the page at which to start retrieving results. The token is usually retrieved from a previous List call.
limit (int) – (optional) The maximum number of items to return.
sort_by (str) –
(optional) The field to sort by. Default order for timestamp is descending.
Allowed values are: “timestamp”
sort_order (str) –
(optional) The sort order is either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWorkRequestErrorCollection- Return type
- Example
Click here to see an example of how to use list_work_request_errors API.
- list_work_request_logs(work_request_id, **kwargs)¶
Lists the logs for a work request.
- Parameters
work_request_id (str) –
(required) The OCID of the asynchronous work request.
opc_request_id (str) – (optional) The client request ID for tracing.
page (str) – (optional) The page token that represents the page at which to start retrieving results. The token is usually retrieved from a previous List call.
limit (int) – (optional) The maximum number of items to return.
sort_by (str) –
(optional) The field to sort by. Default order for timestamp is descending.
Allowed values are: “timestamp”
sort_order (str) –
(optional) The sort order is either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWorkRequestLogEntryCollection- Return type
- Example
Click here to see an example of how to use list_work_request_logs API.
- list_work_requests(**kwargs)¶
Lists the work requests in a compartment.
- Parameters
compartment_id (str) – (optional) The OCID of the compartment that contains the resources to list. This filter returns only resources contained within the specified compartment.
work_request_id (str) –
(optional) The OCID of the asynchronous work request.
status (str) –
(optional) A filter to return only the resources that match the given lifecycle state.
Allowed values are: “ACCEPTED”, “IN_PROGRESS”, “WAITING”, “NEEDS_ATTENTION”, “FAILED”, “SUCCEEDED”, “CANCELING”, “CANCELED”
resource_id (str) –
(optional) The OCID of the resource affected by the work request.
opc_request_id (str) – (optional) The client request ID for tracing.
page (str) – (optional) The page token that represents the page at which to start retrieving results. The token is usually retrieved from a previous List call.
limit (int) – (optional) The maximum number of items to return.
sort_order (str) –
(optional) The sort order is either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Default order for timeAccepted is descending.
Allowed values are: “timeAccepted”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWorkRequestSummaryCollection- Return type
- Example
Click here to see an example of how to use list_work_requests API.
- restart_wls_domain(wls_domain_id, restart_wls_domain_details, **kwargs)¶
Restarts all the servers in the WebLogic domains. Servers that are already stopped are ignored.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
restart_wls_domain_details (oci.wlms.models.RestartWlsDomainDetails) – (required) Information for the operation to restart the WebLogic domain.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the ETag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the ETag you provide matches the resource’s current ETag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use restart_wls_domain API.
- restore_wls_domain(wls_domain_id, restore_wls_domain_details, **kwargs)¶
Restore a domain from backup. If the backup contains a MIDDLEWARE asset, then the middleware of the domain, including patches, will be restored.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
restore_wls_domain_details (oci.wlms.models.RestoreWlsDomainDetails) – (required) Information for the operation to restore WebLogic domain from the backup.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the ETag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the ETag you provide matches the resource’s current ETag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use restore_wls_domain API.
- scan_managed_instance(managed_instance_id, **kwargs)¶
Scans a managed instance for WebLogic domains.
- Parameters
managed_instance_id (str) –
(required) The OCID of the instance.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the ETag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the ETag you provide matches the resource’s current ETag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use scan_managed_instance API.
- scan_wls_domain(wls_domain_id, **kwargs)¶
Runs a series of checks in the WebLogic domain.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the ETag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the ETag you provide matches the resource’s current ETag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use scan_wls_domain API.
- set_restart_order(wls_domain_id, set_restart_order_details, **kwargs)¶
Sets restart order of servers in specific WebLogic domain.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
set_restart_order_details (oci.wlms.models.SetRestartOrderDetails) – (required) Set Restart Order Details.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the ETag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the ETag you provide matches the resource’s current ETag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeServerCollection- Return type
- Example
Click here to see an example of how to use set_restart_order API.
- start_wls_domain(wls_domain_id, **kwargs)¶
Starts all the servers in the WebLogic domain. Servers that are already started are ignored.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the ETag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the ETag you provide matches the resource’s current ETag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use start_wls_domain API.
- stop_wls_domain(wls_domain_id, stop_wls_domain_details, **kwargs)¶
Stops all the servers in the WebLogic domain. Servers that are already stopped are ignored.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
stop_wls_domain_details (oci.wlms.models.StopWlsDomainDetails) – (required) Information for the stop WebLogic domain operation
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the ETag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the ETag you provide matches the resource’s current ETag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use stop_wls_domain API.
- summarize_resource_inventory(compartment_id, **kwargs)¶
Gets the data to be shown in the Overview page of the service in a given compartment.
- Parameters
compartment_id (str) – (required) The OCID of the compartment that contains the resources to list. This filter returns only resources contained within the specified compartment.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeResourceInventory- Return type
- Example
Click here to see an example of how to use summarize_resource_inventory API.
- update_managed_instance(managed_instance_id, update_managed_instance_details, **kwargs)¶
Updates the specified managed instance information, such as discovery interval and domain search path.
- Parameters
managed_instance_id (str) –
(required) The OCID of the instance.
update_managed_instance_details (oci.wlms.models.UpdateManagedInstanceDetails) – (required) Provides the informaton used to update a managed instance.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the ETag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the ETag you provide matches the resource’s current ETag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeManagedInstance- Return type
- Example
Click here to see an example of how to use update_managed_instance API.
- update_wls_domain(wls_domain_id, update_wls_domain_details, **kwargs)¶
Updates a specific WebLogic domain.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
update_wls_domain_details (oci.wlms.models.UpdateWlsDomainDetails) – (required) The new details required to update the WebLogic domain.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the ETag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the ETag you provide matches the resource’s current ETag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use update_wls_domain API.
- update_wls_domain_credential(wls_domain_id, credential_type, update_wls_domain_credential_details, **kwargs)¶
Updates WebLogic domain credentials of specific WebLogic domain.
- Parameters
wls_domain_id (str) –
(required) The OCID of the WebLogic domain.
credential_type (str) –
(required) The type of the credentials.
Allowed values are: “weblogicAdminUser”, “nodemanagerUser”
update_wls_domain_credential_details (oci.wlms.models.UpdateWlsDomainCredentialDetails) – (required) The WebLogic domain credentials.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the ETag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the ETag you provide matches the resource’s current ETag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWlsDomainCredential- Return type
- Example
Click here to see an example of how to use update_wls_domain_credential API.